Up

# NSButton

### Authors

Scott Christley (`scottc@net-community.com`)

> The button class

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSButton class

## NSButton : NSControl

> Declared in:
>   AppKit/NSButton.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -allowsMixedState
- -alternateImage
- -alternateTitle
- -attributedAlternateTitle
- -attributedTitle
- -bezelStyle
- -getPeriodicDelay:interval:
- -highlight:
- -image
- -imagePosition
- -isBordered
- -isTransparent
- -keyEquivalent
- -keyEquivalentModifierMask
- -performClick:
- -performKeyEquivalent:
- -setAllowsMixedState:
- -setAlternateImage:
- -setAlternateTitle:
- -setAttributedAlternateTitle:
- -setAttributedTitle:
- -setBezelStyle:
- -setBordered:
- -setButtonType:
- -setImage:
- -setImagePosition:
- -setKeyEquivalent:
- -setKeyEquivalentModifierMask:
- -setNextState
- -setPeriodicDelay:interval:
- -setShowsBorderOnlyWhileMouseInside:
- -setSound:
- -setState:
- -setTitle:
- -setTitleWithMnemonic:
- -setTransparent:
- -showsBorderOnlyWhileMouseInside
- -sound
- -state
- -title

### allowsMixedState

- (BOOL) allowsMixedState;

Description forthcoming.

### alternateImage

- (NSImage*) alternateImage;

Description forthcoming.

### alternateTitle

- (NSString*) alternateTitle;

Description forthcoming.

### attributedAlternateTitle

- (NSAttributedString*) attributedAlternateTitle;

Description forthcoming.

### attributedTitle

- (NSAttributedString*) attributedTitle;

Description forthcoming.

### bezelStyle

- (NSBezelStyle) bezelStyle;

Description forthcoming.

### getPeriodicDelay:interval:

- (void) getPeriodicDelay: (float*)delay interval: (float*)interval;

Description forthcoming.

### highlight:

- (void) highlight: (BOOL)flag;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### imagePosition

- (NSCellImagePosition) imagePosition;

Description forthcoming.

### isBordered

- (BOOL) isBordered;

Description forthcoming.

### isTransparent

- (BOOL) isTransparent;

Description forthcoming.

### keyEquivalent

- (NSString*) keyEquivalent;

Description forthcoming.

### keyEquivalentModifierMask

- (unsigned int) keyEquivalentModifierMask;

Description forthcoming.

### performClick:

- (void) performClick: (id)sender;

Description forthcoming.

### performKeyEquivalent:

- (BOOL) performKeyEquivalent: (NSEvent*)anEvent;

Description forthcoming.

### setAllowsMixedState:

- (void) setAllowsMixedState: (BOOL)flag;

Description forthcoming.

### setAlternateImage:

- (void) setAlternateImage: (NSImage*)anImage;

Description forthcoming.

### setAlternateTitle:

- (void) setAlternateTitle: (NSString*)aString;

Description forthcoming.

### setAttributedAlternateTitle:

- (void) setAttributedAlternateTitle: (NSAttributedString*)aString;

Description forthcoming.

### setAttributedTitle:

- (void) setAttributedTitle: (NSAttributedString*)aString;

Description forthcoming.

### setBezelStyle:

- (void) setBezelStyle: (NSBezelStyle)bezelStyle;

Description forthcoming.

### setBordered:

- (void) setBordered: (BOOL)flag;

Description forthcoming.

### setButtonType:

- (void) setButtonType: (NSButtonType)aType;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)anImage;

Description forthcoming.

### setImagePosition:

- (void) setImagePosition: (NSCellImagePosition)aPosition;

Description forthcoming.

### setKeyEquivalent:

- (void) setKeyEquivalent: (NSString*)aKeyEquivalent;

Description forthcoming.

### setKeyEquivalentModifierMask:

- (void) setKeyEquivalentModifierMask: (unsigned int)mask;

Description forthcoming.

### setNextState

- (void) setNextState;

Description forthcoming.

### setPeriodicDelay:interval:

- (void) setPeriodicDelay: (float)delay interval: (float)interval;

Description forthcoming.

### setShowsBorderOnlyWhileMouseInside:

- (void) setShowsBorderOnlyWhileMouseInside: (BOOL)show;

Description forthcoming.

### setSound:

- (void) setSound: (NSSound*)aSound;

Description forthcoming.

### setState:

- (void) setState: (int)value;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### setTransparent:

- (void) setTransparent: (BOOL)flag;

Description forthcoming.

### showsBorderOnlyWhileMouseInside

- (BOOL) showsBorderOnlyWhileMouseInside;

Description forthcoming.

### sound

- (NSSound*) sound;

Description forthcoming.

### state

- (int) state;

Description forthcoming.

### title

- (NSString*) title;

Description forthcoming.

Up